Subject: Re: bug#49878: Emacs Tarball Should Include Uninstall Script

From: Eli Zaretskii <[email-masked]>
Date: Thu, 05 Aug 2021 14:25:35 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Date: Thu, 05 Aug 2021 13:09:26 +0200
> Cc: [email-masked]
> 
> Abdorhman Ayman <[email-masked]> writes:
> 
> > Someone on Debian forums encountered a system issue after compiling
> > Emacs 27.2 from source, he suspects that his issue MAYBE related to Emacs,
> > or maybe it's not, it doesn't really matter, what matters is that his report
> > brought to my attention that Emacs tarball doesn't include an uninstall
> > script. We need an uninstall script for user convenience.
> 
> I'm not sure an uninstall script is practical -- we can't just delete
> the files with the same names as those we installed, because we don't
> know whether they're the same ones (or something added later by the
> user).

We have "make uninstall" -- why isn't that what's being requested
here?

> I've never understood why any user would say "make install" at all --
> Emacs works just fine without saying "make install".  Users should just
> run it from where it was compiled.

The idea is that after "make install" you can delete the source tree.

Also, without installing, the important executables will not
necessarily be on PATH, so you cannot easily invoke them without using
a full absolute file name.

Finally, this is a standard Make target that everyone expects (other
packages don't always work 100% correctly when invoked from the source
tree).